Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 225808 - Make NavigationHistory as public API
Make NavigationHistory as public API
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Navigation
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Milutin Kristofic
issues@editor
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 16:16 UTC by Milutin Kristofic
Modified: 2013-02-20 05:27 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
Navigation History API patch (11.73 KB, patch)
2013-02-08 11:53 UTC, Milutin Kristofic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milutin Kristofic 2013-02-06 16:16:26 UTC
Because of NavigationHistory (To fix bug #208318) Editor.search modules has implementation dependency to editor.lib. Maybe it is also time to move this class to editor.lib2
Comment 1 Milutin Kristofic 2013-02-08 11:52:35 UTC
I moved NavigationHistory from editor.lib to editor.lib2 and I make API from it. It enables to add position to edit history. It also enables get edit history and look on last edits. 

For example search.module adds replace string positions to navigationhistory and now it doesn't need to have implementation dependency on editor.lib.
Comment 2 Milutin Kristofic 2013-02-08 11:53:00 UTC
Created attachment 131144 [details]
Navigation History API patch
Comment 3 Jaroslav Tulach 2013-02-11 19:38:42 UTC
Y01 Polish the class that is about to become part of "cleaned up" API. E.g. put there javadoc, @since tag, describe what it is good for, etc.
Comment 4 Miloslav Metelka 2013-02-17 13:27:39 UTC
From the functional point of view we should IMHO change the WeakPositions impl to wrap real positions instead of using gap offset vector.
Comment 5 Milutin Kristofic 2013-02-19 12:12:02 UTC
@Y01: Thank you for comment. I added javadoc to methods. @Since tag is in new classes.

@Mila: It should be eventually changed.

integrated: 
http://hg.netbeans.org/jet-main/rev/98b8c65f912a
Comment 6 Quality Engineering 2013-02-20 05:27:06 UTC
Integrated into 'main-golden', will be available in build *201302192300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/98b8c65f912a
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #225808 - Make NavigationHistory as public API


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo